Bug 836940 - Review Request: sshj - SSHv2 library for Java
Review Request: sshj - SSHv2 library for Java
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Radej
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-02 05:21 EDT by gil cattaneo
Modified: 2012-08-08 09:35 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-03 07:26:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tradej: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2012-07-02 05:21:53 EDT
Spec URL: http://gil.fedorapeople.org/sshj.spec
SRPM URL: http://gil.fedorapeople.org/sshj-0.8.0-1.fc16.src.rpm
Description: SSH, scp and sftp library for Java.
Fedora Account System Username: gil
Comment 1 Tomas Radej 2012-07-24 10:48:34 EDT
Taking it.
Comment 2 Tomas Radej 2012-07-24 11:23:45 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[-]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: SHOULD SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


==== Java ====
[-]: MUST If source tarball includes bundled jar/class files these need to be
     removed prior to building
[x]: MUST Packages have proper BuildRequires/Requires on jpackage-utils
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: MUST Javadoc subpackages have Requires: jpackage-utils
[x]: MUST Javadocs are placed in %{_javadocdir}/%{name} (no -%{version}
     symlink)
[x]: SHOULD Package has BuildArch: noarch (if possible)
[x]: SHOULD Package uses upstream build method (ant/maven/etc.)


==== Maven ====
[x]: MUST Pom files have correct add_maven_depmap call
     Note: Some add_maven_depmap calls found. Please check if they are correct
[x]: MUST Old add_to_maven_depmap macro is not being used
[x]: MUST Packages DOES NOT have Requires(post) and Requires(postun) on
     jpackage-utils for %update_maven_depmap macro
[-]: MUST If package contains pom.xml files install it (including depmaps)
     even when building with ant
[x]: MUST Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: MUST Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

Rpmlint
-------
Checking: sshj-javadoc-0.8.0-1.fc18.noarch.rpm
          sshj-0.8.0-1.fc18.noarch.rpm
          sshj-0.8.0-1.fc18.src.rpm
sshj.noarch: E: explicit-lib-dependency jzlib
sshj.noarch: W: spelling-error %description -l en_US scp -> cps, sci, sip
sshj.noarch: W: spelling-error %description -l en_US sftp -> ftp, ftps, s ftp
sshj.src: W: spelling-error %description -l en_US scp -> cps, sci, sip
sshj.src: W: spelling-error %description -l en_US sftp -> ftp, ftps, s ftp
sshj.src: W: invalid-url Source0: sshj-0.8.0.tar.xz
3 packages and 0 specfiles checked; 1 errors, 5 warnings.


Rpmlint (installed packages)
----------------------------
# rpmlint sshj
sshj.noarch: E: explicit-lib-dependency jzlib
sshj.noarch: I: enchant-dictionary-not-found en_US
1 packages and 0 specfiles checked; 1 errors, 0 warnings.
# echo 'rpmlint-done:'

Requires
--------
sshj-javadoc-0.8.0-1.fc18.noarch.rpm (rpmlib, GLIBC filtered):
    
    jpackage-utils  

sshj-0.8.0-1.fc18.noarch.rpm (rpmlib, GLIBC filtered):
    
    apache-sshd  
    bouncycastle  
    java  
    jpackage-utils  
    jzlib  
    slf4j  

Provides
--------
sshj-javadoc-0.8.0-1.fc18.noarch.rpm:
    
    sshj-javadoc = 0.8.0-1.fc18

sshj-0.8.0-1.fc18.noarch.rpm:
    
    mvn(net.schmizz:sshj)  
    osgi(net.schmizz.sshj) = 0.8.0
    sshj = 0.8.0-1.fc18

MD5-sum check
-------------
    fd99ed13c09a65f518d18b71ab5db192  sshj-0.8.0-NEW.tar.xz
    fd99ed13c09a65f518d18b71ab5db192  sshj-0.8.0.tar.xz


Generated by fedora-review 0.2.0 (53cc903) last change: 2012-07-09
Command line :/usr/bin/fedora-review -b 836940 -m fedora-rawhide-x86_64
External plugins:


*** APPROVED ***
Comment 3 gil cattaneo 2012-07-24 14:25:19 EDT
New Package SCM Request
=======================
Package Name: sshj
Short Description: SSHv2 library for Java
Owners: gil
Branches: f17
InitialCC: java-sig
Comment 4 Gwyn Ciesla 2012-07-24 14:48:23 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2012-07-25 05:25:41 EDT
sshj-0.8.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/sshj-0.8.1-1.fc17
Comment 6 Fedora Update System 2012-07-26 00:00:16 EDT
sshj-0.8.1-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 7 Fedora Update System 2012-08-03 07:26:44 EDT
sshj-0.8.1-1.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.